| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | List of all members
IG.Num.VectorFunctionScriptDto Class Reference

DTO (data transfer object) for vector interface (IVector). More...

Inheritance diagram for IG.Num.VectorFunctionScriptDto:
[legend]
Collaboration diagram for IG.Num.VectorFunctionScriptDto:
[legend]

## Public Member Functions
| VectorFunctionScriptDto ()
| Creates a DTO for storing state of a script based scalar function objects of any type. More...
| VectorFunctionScriptDto (int dimension)
| Creates a DTO for storing a scalar function object of any vector type, with specified dimension. More...
override VectorFunctionScriptController | CreateVectorFunctionController (int numParameters, int numValues)
| Creates and returns a new vector cast to the interface type IVector. More...
Public Member Functions inherited from IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >
| VectorFunctionScriptDtoBase ()
| Default constructor, sets IsNull to true. More...
| VectorFunctionScriptDtoBase (int spaceDimension)
| Constructor, prepares the current DTO for storing a scalar function of the specified dimension. More...
override FunctionControllerType | CreateObject ()
| Creates and returns a new vector of the specified type and dimension. More...

## Additional Inherited Members
Protected Member Functions inherited from IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >
override void | CopyFromPlain (VectorFunctionScriptController functionController)
| Copies data to the current DTO from a scaalr function object. More...
override void | CopyToPlain (ref VectorFunctionScriptController functionController)
| Copies data from the current DTO to a scalar function object. More...
Properties inherited from IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >
ScalarFunctionDtoType[] | ScalarFunctions`[get, set]`
| Array of scalar function controller DTOs. More...
virtual int | NumParameters`[get, set]`
| Dimension of the parameter space. More...
virtual int | NumValues`[get, set]`
| Dimension of function codomain (i.e., the number of returned values). More...
virtual string | Name`[get, set]`
| Scalar function name. More...
virtual string | Description`[get, set]`
| Scalar function description. More...
virtual string[] | ParameterNames`[get, set]`
| Names of function parameters. More...
virtual string[] | FunctionNames`[get, set]`
| Names of function values, i.e. scalar funcitons that define return values of the vector function. More...
virtual string | ZType`[get, set]`
virtual InputOutputDataDefinitonDto | ZDataDefinition`[get, set]`

## Detailed Description

DTO (data transfer object) for vector interface (IVector).

$A Igor Feb16;

## Constructor & Destructor Documentation

IG.Num.VectorFunctionScriptDto.VectorFunctionScriptDto | ( |  | ) |
| inline

Creates a DTO for storing state of a script based scalar function objects of any type.

IG.Num.VectorFunctionScriptDto.VectorFunctionScriptDto | ( | int | dimension | ) |
| inline

Creates a DTO for storing a scalar function object of any vector type, with specified dimension.

Parameters

  dimension | Vector dimension.

## Member Function Documentation

override VectorFunctionScriptController IG.Num.VectorFunctionScriptDto.CreateVectorFunctionController | ( | int | numParameters,
|  | int | numValues
| ) |  |
| inline virtual

Creates and returns a new vector cast to the interface type IVector.

Parameters

  numParameters | Number of function parameters (dimension of its domain).
  numValues | Numberr of function values (dimension of its codomain).

Implements IG.Num.VectorFunctionScriptDtoBase< FunctionControllerType, ScalarFunctionControllerType, ScalarFunctionDtoType >.

The documentation for this class was generated from the following file:

- igbase/data/serialization/dtos/VectorFunctionDto.cs